// 把时间日期转成时间戳
function getTimestamp(time) {
    time = time.substring(0, 19);
    time = time.replace(/-/g, '/');
    var timestamp = new Date(time).getTime();
    return timestamp;
}

document.addEventListener('plusready', () => {
	let userInfo = JSON.parse(plus.storage.getItem("userInfo"));
	let category = plus.storage.getItem('category');
	// 初始化佳信数据
	let json = {
		session:{pageTitle: 'APP-' + plus.os.name},
		crm:{},
	};
	if (userInfo) {
		let userLevel = 1;
		if (userInfo.data.vipExpireTime) {
			let nowTime = new Date().getTime();
			let expireTime = getTimestamp(userInfo.data.vipExpireTime+" 23:59:59");
			
			if (nowTime > expireTime) {
				userLevel = 1;
			} else {
				userLevel = 2;
			}
		}
		json.crm = {
			extend2: userInfo.data.yunid,
			name: userInfo.data.nickname,
			userLevel: userLevel
		}
		json.cid = userInfo.data.yunid;
		json.crm.extend3 = category
	}
	
	setTimeout(() => {
		jiaxinInit(json);
		jiaxinTogglerDiv();
	},1000)
},false);